diff -BPrU 0 ./include/channel.h ../ircd-hybrid-6.2-patched/include/channel.h
--- ./include/channel.h	Wed Jul 18 04:15:18 2001
+++ ../ircd-hybrid-6.2-patched/include/channel.h	Sat Oct 27 03:16:29 2001
@@ -113,2 +113,3 @@
-
-
+#ifdef JUPE_CHANNEL
+extern void report_juped_channels(struct Client *);
+#endif
diff -BPrU 0 ./src/channel.c ../ircd-hybrid-6.2-patched/src/channel.c
--- ./src/channel.c	Fri Aug 10 15:59:14 2001
+++ ../ircd-hybrid-6.2-patched/src/channel.c	Sat Oct 27 03:45:40 2001
@@ -4121,0 +4122,24 @@
+#ifdef JUPE_CHANNEL
+
+/* I used a random available numeric for this stats... Any servers 
+   using a specific one? If so, tell me and I'll make a proper
+   RPL_STATSJLINE def.
+   --einride
+*/
+void report_juped_channels(struct Client *sptr) {
+  struct Channel * chptr;
+  int i;
+  if (!sptr->user)
+    return;
+  for (i=0;i<CH_MAX;i++) {
+    chptr = (struct Channel *) (hash_get_channel_block(i).list);
+    while (chptr) {
+      if (chptr->juped) {
+	sendto_one(sptr, ":%s 224 %s %c %s", me.name, sptr->name, 'j', chptr->chname);
+      }
+      chptr = chptr->hnextch;
+    }
+  }
+  sendto_one(sptr, form_str(RPL_ENDOFSTATS), me.name, sptr->name, 'j');
+};
+#endif
diff -BPrU 0 ./src/m_stats.c ../ircd-hybrid-6.2-patched/src/m_stats.c
--- ./src/m_stats.c	Wed Jul 18 03:37:14 2001
+++ ../ircd-hybrid-6.2-patched/src/m_stats.c	Sat Oct 27 03:04:37 2001
@@ -331 +331,11 @@
-
+#ifdef JUPE_CHANNEL
+    case 'J' : case 'j' :
+      if (!IsAnOper(sptr)) {
+	ignore_request++;
+	valid_stats++;
+	break;
+      }
+      report_juped_channels(sptr);
+      valid_stats++;
+      break;
+#endif
